<!DOCTYPE html>
<html lang="en">

<head>
    <!--**********************************************************************************-->
    <!--*****   Project:  Basic Python for Network Engineer: Monitoring Dashboard-->
    <!--*****   Version:  1-->
    <!--*****   WUNCA39th @ Walailak University , Thailand-->
    <!--*****   Date: 26th-28th June 2019-->
    <!--*****   By: King Mongkut's University of Technology Thonburi-->
    <!--*****   -->
    <!--*****   Credit: Blackrock Digital LLC.-->
    <!--*****   URL: https://startbootstrap.com/template-overviews/sb-admin-2/-->
    <!--**********************************************************************************-->


  <meta charset="utf-8" http-equiv="refresh" content="100" >
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <!--WUNCA 39th Banner-->
  <title>[WUNCA 39th] Basic Python for Network Engineer: Network Monitoring using Python</title>

  <!-- Custom fonts for this template-->
  <link href="/static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="/static/css/sb-admin-2.min.css" rel="stylesheet">

  <!--Google Map Library--><!-- Chapter 10 -->


</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!--********************************     Sidebar     ********************************-->

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center">
        <div class="sidebar-brand-icon rotate-n-15"></div>
        <div class="text-white">WUNCA 39<sup>th</sup></div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider my-0">

      <!-- Nav Item - Dashboard -->
      <li class="nav-item active">
        <a class="nav-link">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>Dashboard</span></a>
      </li>

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">Team</div>

        <!-- Chapter 19 -->
      <!-- Nav Item - Pages Collapse Menu -->
      <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTeam1" aria-expanded="true" aria-controls="collapseTeam1">
          <i class="fas fa-fw fa-cog"></i>
          <span>Wunca Python Team 1</span>
        </a>
        <div id="collapseTeam1" class="collapse" aria-labelledby="headingTeam1" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <h6 class="collapse-header"></h6>
            <a class="collapse-item" href="http://172.16.2.11:5000" target="_blank">Group 11</a>
            <a class="collapse-item" href="http://172.16.2.12:5000" target="_blank">Group 12</a>
            <a class="collapse-item" href="http://172.16.2.13:5000" target="_blank">Group 13</a>
            <a class="collapse-item" href="http://172.16.2.14:5000" target="_blank">Group 14</a>
            <a class="collapse-item" href="http://172.16.2.15:5000" target="_blank">Group 15</a>
          </div>
        </div>
      </li>

      <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTeam2" aria-expanded="true" aria-controls="collapseTeam2">
          <i class="fas fa-fw fa-cog"></i>
          <span>Wunca Python Team 2</span>
        </a>
        <div id="collapseTeam2" class="collapse" aria-labelledby="headingTeam2" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <h6 class="collapse-header"></h6>
            <a class="collapse-item" href="http://172.16.2.21:5000" target="_blank">Group 21</a>
            <a class="collapse-item" href="http://172.16.2.22:5000" target="_blank">Group 22</a>
            <a class="collapse-item" href="http://172.16.2.23:5000" target="_blank">Group 23</a>
            <a class="collapse-item" href="http://172.16.2.24:5000" target="_blank">Group 24</a>
            <a class="collapse-item" href="http://172.16.2.25:5000" target="_blank">Group 25</a>
          </div>
        </div>
      </li>

      <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTeam3" aria-expanded="true" aria-controls="collapseTeam1">
          <i class="fas fa-fw fa-cog"></i>
          <span>Wunca Python Team 3</span>
        </a>
        <div id="collapseTeam3" class="collapse" aria-labelledby="headingTeam3" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <h6 class="collapse-header"></h6>
            <a class="collapse-item" href="http://172.16.2.31:5000" target="_blank">Group 31</a>
            <a class="collapse-item" href="http://172.16.2.32:5000" target="_blank">Group 32</a>
            <a class="collapse-item" href="http://172.16.2.33:5000" target="_blank">Group 33</a>
            <a class="collapse-item" href="http://172.16.2.34:5000" target="_blank">Group 34</a>
            <a class="collapse-item" href="http://172.16.2.35:5000" target="_blank">Group 35</a>
          </div>
        </div>
      </li>

      <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTeam4" aria-expanded="true" aria-controls="collapseTeam1">
          <i class="fas fa-fw fa-cog"></i>
          <span>Wunca Python Team 4</span>
        </a>
        <div id="collapseTeam4" class="collapse" aria-labelledby="headingTeam4" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <h6 class="collapse-header"></h6>
            <a class="collapse-item" href="http://172.16.2.41:5000" target="_blank">Group 41</a>
            <a class="collapse-item" href="http://172.16.2.42:5000" target="_blank">Group 42</a>
            <a class="collapse-item" href="http://172.16.2.43:5000" target="_blank">Group 43</a>
            <a class="collapse-item" href="http://172.16.2.44:5000" target="_blank">Group 44</a>
            <a class="collapse-item" href="http://172.16.2.45:5000" target="_blank">Group 45</a>
          </div>
        </div>
      </li>
        <!-- end Chapter 19 -->

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Sidebar Toggler (Sidebar) -->
      <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
      </div>
    </ul>
    <!-- End of Sidebar -->

    <!--********************************     End Sidebar     ********************************-->

    <!--********************************     Content     ********************************-->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">
        <div class="row">
          <div class="container-fluid" align="center">
            <img src="https://wunca.uni.net.th/wunca39/wp-content/uploads/2019/03/WUNCA-39th_png-ok-copy.png" height="150" width="300" align="middle">
            <h1>Basic Python for Network Engineer: Network Monitoring using Python</h1>
            <h1></h1>
          </div>
        </div>



        <!--********************************     Row:1     ********************************-->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
          </div>

          <!-- Content Row -->
          <div class="row">

            <!-- Device UP --> <!-- Chapter 9 -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Device UP</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">  </div>
                      <div class="row no-gutters align-items-center">
                        <div class="col">
                          <div class="progress progress-sm mr-2">
                            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                          </div>
                        </div>
                      </div>
                      <div> </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Device Down -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-danger shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Device Down</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">  </div>
                      <div class="progress progress-sm mr-2">
                            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                      <div> </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- end Chapter 9 -->

            <!-- Server UP -->
              <!-- Chpater 18 -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Server UP</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">  </div>
                      <div class="row no-gutters align-items-center">
                        <div class="col">
                          <div class="progress progress-sm mr-2">
                            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                          </div>
                        </div>
                      </div>
                      <div>  </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Server Down -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-danger shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Server Down</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">  </div>
                      <div class="progress progress-sm mr-2">
                            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                      <div> </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div><!-- end Chapter 18 -->
        </div>
        <!--********************************  END Row:1     ********************************-->


        <!--********************************     Row:2     ********************************-->
          <!-- Chapter 10 -->
        <div class="container-fluid">
          <div class="row">
            <div class="col-xl-12 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Location Status</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;"> </div>
                </div>
              </div>
            </div>
          </div>
        </div><!-- end Chapter 10 -->

        <div class="container-fluid">
          <!-- Web Status -->
          <!-- Chapter 11 -->
          <div class="row">
            <div class="col-xl-5 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Website Status</h6>
                </div>
                <div class="card-body">
                  <table class="table table-hover">
                    <thead>
                    <tr class="table-primary">
                      <td scope="col" class="font-weight-bold">Website</td>
                      <td align="center" class="font-weight-bold">Status</td>
                    </tr>
                    </thead>
                    <tbody>

                    </tbody>
                  </table>
                </div>
              </div>
            </div><!-- end Chapter 11 -->

            <!-- Response Time -->
            <!-- Chapter 12 -->
            <div class="col-xl-7 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >DNS Reponse Time</h6>
                </div>
                <div class="card-body">
                  <table class="table table-hover">
                    <thead>
                    <tr class="table-primary">
                      <td scope="col"></td>
                      <td align="center" class="font-weight-bold">8.8.8.8</td>
                      <td align="center" class="font-weight-bold">8.8.4.4</td>
                      <td align="center" class="font-weight-bold">1.1.1.1</td>
                    </tr>
                    </thead>
                    <tbody>

                    </tbody>
                  </table>
                </div>
              </div>
            </div><!-- end Chapter 12 -->
          </div>
        </div>

        <!--********************************     End Row:2     ********************************-->


        <!--********************************     Row:3     ********************************-->
        <div class="container-fluid">
          <div class="row">
            <div class="col-xl-12 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Router Link Traffic</h6>
                </div>
                <div id="header1" style="width:100%">
                  <div id="centered1" style="width:100%; height:370px;">
                    <div class="embed-responsive embed-responsive-1by1">
                      <iframe class="embed-responsive-item" align="center" ></iframe>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--********************************     End Row:3     ********************************-->


        <!--********************************     Row:4     ********************************-->
            <!--******************************** Row:4 Column:1     ***********************-->
        <!-- Chapter 13 -->
        <div class="container-fluid">
          <div class="row">
            <!-- 1st Server -->
            <div class="col-xl-6 col-md-6 mb-4">
              <div class="card border-left-primary shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">1st Server</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800"></div>
                      <div class="row no-gutters align-items-center">
                        <div class="col"></div>
                      </div>
                      <div class="card-body">
                        <table class="table table-hover">
                          <thead>
                          </thead>
                          <tbody>
                          <tr>
                            <td>System Uptime = <br>
                              1 minute Load = <br>
                              5 minute Load = <br>
                              15 minute Load = <br>
                              % of user CPU time = <br>
                              Raw user cpu time = <br>
                              % of system CPU time = <br>
                              Raw system cpu time = <br>
                              % of idle CPU time = <br>
                              Raw idle cpu time = <br>
                              Raw nice cpu time = <br>
                              Total Swap Size = <br>
                              Available Swap Space = <br>
                              Total RAM in machine = <br>
                              Total RAM used = <br>
                              Total RAM Free = <br>
                              Total RAM Buffered = <br>
                              Total Cached Memory = <br>
                            </td>
                            <td> </td>
                            <td> </td>
                          </tr>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--******************************** End Row:4 Column:1     ***********************-->


            <!--******************************** Row:4 Column:2 Row:1    ***********************-->
              <!-- Chapter 19 -->
            <div class="col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Bandwidth</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;">
                    <iframe width=480 height=180 frameborder="0" ></iframe>
                  </div>
                </div>
              </div>
            <!--******************************** End Row:4 Column:2 Row:1     ***********************-->
            <!--******************************** Row:4 Column:2  Row:2     ***********************-->
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Disk Free Space</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;">
                    <iframe width=480 height=180 frameborder="0" ></iframe>
                  </div>
                </div>
              </div>
              <!--******************************** End Row:4 Column:2 Row:2     ***********************-->
            </div><!-- end Chapter 19 -->
            <!--******************************** End Row:4 Column:2     ***********************-->
          </div>
        </div>
        <!--******************************** End Row:4     ***********************-->


        <!--******************************** Row:5     ***********************-->
        <div class="container-fluid">
          <div class="row">
            <!-- 2nd Server -->
            <div class="col-xl-6 col-md-6 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-info text-uppercase mb-1">2nd Server</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800"></div>
                      <div class="row no-gutters align-items-center">
                        <div class="col"></div>
                      </div>
                      <div class="card-body">
                        <table class="table table-hover">
                          <thead>
                          </thead>
                          <tbody>
                          <tr>
                            <td>System Uptime = <br>
                              1 minute Load = <br>
                              5 minute Load = <br>
                              15 minute Load = <br>
                              % of user CPU time = <br>
                              Raw user cpu time = <br>
                              % of system CPU time = <br>
                              Raw system cpu time = <br>
                              % of idle CPU time = <br>
                              Raw idle cpu time = <br>
                              Raw nice cpu time = <br>
                              Total Swap Size = <br>
                              Available Swap Space = <br>
                              Total RAM in machine = <br>
                              Total RAM used = <br>
                              Total RAM Free = <br>
                              Total RAM Buffered = <br>
                              Total Cached Memory = <br>
                            </td>
                            <td> </td>
                            <td> </td>
                          </tr>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- end Chapter 13 -->
            <!--******************************** End Row:5 Column:1     ***********************-->


            <!--******************************** Row:5 Column:2 Row:1    ***********************-->
              <!-- Chapter 19 -->
            <div class="col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-info" >Bandwidth</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;">
                    <iframe width=480 height=180 frameborder="0" ></iframe>
                  </div>
                </div>
              </div>
            <!--******************************** End Row:5 Column:2 Row:1     ***********************-->
            <!--******************************** Row:5 Column:2  Row:2     ***********************-->
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-info" >Disk Free Space</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;">
                    <iframe width=480 height=180 frameborder="0" ></iframe>
                  </div>
                </div>
              </div><!--end Chapter 19 -->
              <!--******************************** End Row:5 Column:2 Row:2     ***********************-->
            </div>
            <!--******************************** End Row:5 Column:2     ***********************-->
          </div>
        </div>

          <!--******************************** End Row:5     ***********************-->


        <div class="container-fluid">
          <div class="row">
          <!-- Content Row -->
            <!-- Chapter 14 -->
            <div class="col-xl-5 col-lg-6">
              <div class="card shadow mb-3">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-warning" >Wireless Client</h6>
                </div>
                <div class="card-body">
                  <table class="table table-hover">
                    <thead>
                    <tr class="table-warning">
                        <td scope="col" align="center">Access Point Name</td>
                        <td align="center" class="font-weight-bold">2.4 GHz</td>
                        <td align="center" class="font-weight-bold">5 GHz</td>
                    </tr>
                    </thead>
                    <tbody>

                    </tbody>
                  </table>
                </div>
              </div>
            </div><!-- end Chapter 14 -->


            <!-- Radius Authentication -->
            <!-- Chapter 16 -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Radius Authenticate</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800"></div>

                      <tbody>

                      </tbody>
                    </div>
                  </div>
                </div>
              </div>
            </div><!-- end Chapter16 -->

            <!-- Radius Server Service Status -->
            <!-- Chapter 17 -->
            <div class="col-xl-4 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3">
                  <h6 class="m-0 font-weight-bold text-warning">Server Service</h6>
                </div>
                <div class="card-body">


                </div>
              </div>
            </div><!-- end Chapter 17 -->

          </div>
        </div>


          <!-- Chapter 15 -->
          <div class="container-fluid">
          <div class="row">
            <div class="col-xl-12 col-lg-6">
              <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary" >Client Location</h6>
                </div>
                <div id="header" style="width:100%">
                  <div class="card-body" style="width:100%;"> </div>
                </div>
              </div>
            </div>
          </div>
        </div><!-- end Chapter 15 -->

        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->







      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; WUNCA39th</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->


    <!--********************************     Script     ***********************-->
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>
    <!-- Bootstrap core JavaScript-->
    <script src="/static/vendor/jquery/jquery.min.js"></script>
    <script src="/static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="/static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="/static/js/sb-admin-2.min.js"></script>

    <!-- Page level plugins -->
    <script src="/static/vendor/chart.js/Chart.min.js"></script>

    <!-- Page level custom scripts -->
    <script src="/static/js/demo/chart-area-demo.js"></script>
    <script src="/static/js/demo/chart-pie-demo.js"></script>

  </body>

</html>
